{% load static %}

{% firstof url "#" as real_url %}

<div
  class="
    flex flex-col grow bg-grey-180

    xl:gap-8 xl:flex-row

    {{ classes }}
  ">
  <div class="xl:shrink-0">
    <a href="{{ real_url }}">
      <img
        class="h-full w-full xl:w-60 object-cover"
        src="{% if image %}{{ image.url }}{% else %}{% static 'shared/img/unknown_pirate_160x160.jpg' %}{% endif %}"
        alt="{{ name }}"
      >
    </a>
  </div>
  <div>
    <div
      class="
        flex flex-col justify-between py-4 px-4 h-full
        xl:px-0 xl:pr-4
      "
    >
      <div class="flex flex-col">
        <a
          class="hover:no-underline block font-bold mb-1 text-xl xl:text-3xl"
          href="{{ real_url }}"
        ><h4>{{ name }}</h4></a>

        {% if function %}
          <span class="leading-6 mb-4 xl:mb-6">
            {{ function }}
          </span>
        {% endif %}
      </div>

      <div class="flex flex-col">
        {% if telephone %}
          <a
            class="font-bold mb-2"
            href="tel:{{ telephone }}"
          >{{ telephone }}</a>
        {% endif %}

        {% if mail %}
          <a
            class="font-bold"
            href="mailto:{{ mail }}"
          >{{ mail }}</a>
        {% endif %}

        {% if url %}
          <div class="flex mt-5">
            {% include 'styleguide2/includes/atoms/buttons/round_button_small.html' with url=url text='Detail osoby' show_arrow_on_hover=True %}
          </div>
        {% endif %}
      </div>
    </div>
  </div>
</div>
